// DialogChangeWC.cpp : implementation file

#include "stdafx.h"
#include "prakt3.h"
#include "prakt3Dlg.h"
#include "DialogChangeWC.h"

// CDialogChangeWC dialog

IMPLEMENT_DYNAMIC(CDialogChangeWC, CDialog)
CDialogChangeWC::CDialogChangeWC(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogChangeWC::IDD, pParent)
{
}

CDialogChangeWC::~CDialogChangeWC()
{
}

BOOL CDialogChangeWC::OnInitDialog() {
	if ( !CDialog::OnInitDialog() ) {
		return FALSE;
	}

	char buffer [120];
	GLdouble* wc = Cprakt3Dlg::getInstance()->getMyOpenGLWindow()->getGrafik()->getWC();

	sprintf(buffer, "%4.2f", (float) wc[0]);
	m_ceXmin.SetWindowText(buffer);
	sprintf(buffer, "%4.2f", (float) wc[1]);
	m_ceXmax.SetWindowText(buffer);
	sprintf(buffer, "%4.2f", (float) wc[2]);
	m_ceYmin.SetWindowText(buffer);
	sprintf(buffer, "%4.2f", (float) wc[3]);
	m_ceYmax.SetWindowText(buffer);

	return TRUE;
}

void CDialogChangeWC::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT_XMIN, m_ceXmin);
	DDX_Control(pDX, IDC_EDIT_XMAX, m_ceXmax);
	DDX_Control(pDX, IDC_EDIT_YMIN, m_ceYmin);
	DDX_Control(pDX, IDC_EDIT_YMAX, m_ceYmax);
}


BEGIN_MESSAGE_MAP(CDialogChangeWC, CDialog)
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, OnBnClickedCancel)
END_MESSAGE_MAP()


// CDialogChangeWC message handlers

void CDialogChangeWC::OnBnClickedOk()
{
	char buffer [200];
	float xmin, xmax, ymin, ymax;

	xmin = -500;
	xmax = 500;
	ymin = -500;
	ymax = 500;

	m_ceXmin.GetWindowText(buffer, 8);
	sscanf(buffer, "%f", &xmin);
	m_ceXmax.GetWindowText(buffer, 8);
	sscanf(buffer, "%f", &xmax);
	m_ceYmin.GetWindowText(buffer, 8);
	sscanf(buffer, "%f", &ymin);
	m_ceYmax.GetWindowText(buffer, 8);
	sscanf(buffer, "%f", &ymax);

	sprintf(buffer, "Dialog 'CDialogChangeWC' is trying to change world coordinates to X(%4.1f, %4.1f), Y(%4.1f, %4.1f)...", xmin, xmax, ymin, ymax);
	CLogger::getInstance()->debug(buffer);

	sprintf(buffer, "CAD-Programm (%3.1f, %3.1f | %3.1f, %3.1f)", xmin, xmax, ymin, ymax);
	Cprakt3Dlg::getInstance()->getMyOpenGLWindow()->SetTitle(buffer);
	Cprakt3Dlg::getInstance()->getMyOpenGLWindow()->getGrafik()->setWC(xmin, xmax, ymin, ymax);

	OnOK();
}

void CDialogChangeWC::OnBnClickedCancel()
{
	OnCancel();
}
