#pragma once

class CGO_Line : public CGO_GeoObject
{
	private:
		CGO_Point m_P1;
		CGO_Point m_P2;

	public:
		CGO_Line(void);		//cstr
		~CGO_Line(void);	//dstr

		void Serialize(CArchive &a);
		void removeObject(void);

		void setPoints(CGO_Point p1, CGO_Point p2);
		void draw(void);
		void move(CGO_Vector* v);
		void rotate(float);
		void rotateBasepoint(CGO_Point p, float angle);
		void scale(float);
		void scaleBasepoint(CGO_Point p, float factor);
		void flipX(void);
		void flipY(void);
		void flipOrigin(void);
		void flipStraight(CGO_Point p1, CGO_Point p2);

		DECLARE_SERIAL(CGO_Line)
};