#pragma once
#include "CGO_GeoObject.h"

class CDatabase : public CObject
{
	private:
		CObArray m_Database;
		int m_iCount;

	public:
		CDatabase(void);	//cstr
		~CDatabase(void);	//dstr

		void save(LPCTSTR fileName);
		int  load(LPCTSTR fileName);

		void addObject(CGO_GeoObject*);
		void removeObject(CGO_GeoObject*);
		void removeObjectById(int oId);
		void removeAll(void);
		void drawObjects(void);
		CGO_GeoObject* getObject(int oId);
		int getCount(void);
		int getNumberObjects(void);
		int getNextId(void);
};