// Template fr OpenGL-Projekt

// Einfgen in stdafx.h
#include "GL\gl.h"
#include "GL\glu.h"
#include "glut.h"  // falls 3D-GLUT-Primitive verwendet werden
#include "Grafik.h"

#include "Maus.h"   // falls interaktives 
#include "basis.h"  // Programm mit Mausaktionen

#include "Punkt3d.h"   // wird von COpenGL3D
#include "Vektor3D.h"  // bentigt



// Einfgen in xxxxxDlg.h  (eine der folgenden INCLUDE-Anweisungen)
#include "myOpengl.h"
#include "myOpenglMaus.h"
#include "myOpenGL_3D_mF.h"

private:
	myOpenGL m_wOpenGL; // OpenGL-Fenster

// Einfgen in xxxxxDlg.cpp 
// nach
	// TODO: Hier zustzliche Initialisierung einfgen

	// OGL-Fenster konfigurieren
	m_wOpenGL.InitOpenGL("OpenGL", 0, 0, 500, 500);
	/* m_wOpenGL.getGrafik()->Init(); ***  Falls Grafik-Initialisierung notwendig ***/

	// In 3D-Projekten bei Nutzung von "myOpenGL_3D_mF.h"
	// Hintergrund
	m_wOpenGL.backGround(0.8, 0.8, 0.8);
	// Kameradaten
	m_wOpenGL.lookAt(new CPunkt3D(0,0,0), new CPunkt3D(0,0,-1), new CVektor3D(0,1,0));
	// Bildraum
	m_wOpenGL.ortho(-1,1,-1,1,-1,1); 
	// oder
	m_wOpenGL.frustum(-1,1,-1,1,1,100);
	// oder
	m_wOpenGL.perspective(30,1,1,100);
	



