#include "StdAfx.h"
#include "myopengl.h"

myOpenGL::myOpenGL(void)
{
	
}

myOpenGL::~myOpenGL(void)
{	
}

CGrafik* myOpenGL::getGrafik()
{ return &m_cGrafik; }

void myOpenGL::OnSizeGL(int cx, int cy)
{
	if (cx > cy)
		glViewport(0, 0, cy, cy);
	else
		glViewport(0, 0, cx, cx);
}

void myOpenGL::OnDrawGL()
{
	/************ Teil 1: Vorbereitung der Grafik-Ausgabe ***************/
	// Lschen des Fensterinhaltes
	glClearColor(1, 1, 1, 1);
	glClear (GL_COLOR_BUFFER_BIT);
	// Weltkoordinatenbereich festlegen
	glMatrixMode(GL_PROJECTION); // Projektionsmatrix aktivieren
	glLoadIdentity();  // Einheitsmatrix laden
	gluOrtho2D(-50, 350, -50, 350);  // WC-Bereich festlegen	

	// Modell- und Ansichtstransformationsmatrix aktivieren
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();

	/************* Teil 2: Grafik-Ausgabe *******************************/
	m_cGrafik.Init();
	m_cGrafik.Draw();
	SwapBuffers(wglGetCurrentDC());
}
