#include "StdAfx.h"
#include "myopengl.h"

myOpenGL::myOpenGL(void)
{
	
}

myOpenGL::~myOpenGL(void)
{	
}

CGrafik* myOpenGL::getGrafik()
{ return &m_cGrafik; }

void myOpenGL::OnSizeGL(int cx, int cy)
{
	// TODO: Fgen Sie hier Ihren Meldungsbehandlungscode ein.
	glViewport(0,0,cx,cy);	
}

void myOpenGL::OnDrawGL()
{
	/************ Teil 1: Vorbereitung der Grafik-Ausgabe ***************/	
	glClearColor(1, 1, 1, 1);  // Hintergrundfarbe
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT) ;    // Fensterinhalt und Z-Puffer lschen 
	glEnable(GL_DEPTH_TEST);  // Ausblenden verdeckter Kanten einschalten
	
	// Projektionstransformation
	glMatrixMode(GL_PROJECTION); // Projektionsmatrix aktivieren
	glLoadIdentity();  // Einheitsmatrix laden
	glOrtho(-100, 100, -100, 100, -100, 100);  // Ausdehnung des Bildraumes festlegen

	// Ansichtstransformation
	glMatrixMode(GL_MODELVIEW);  // Modellmatrix aktivieren
	glLoadIdentity();  // Einheitsmatrix laden
	gluLookAt(3,0,3,  // Kamera-Position
		5,5,0,        // Kamera-Ziel
		0,0,1);       // Viewing-Up-Vector

	/************* Teil 2: Grafik-Ausgabe *******************************/
	m_cGrafik.Draw();
	SwapBuffers(wglGetCurrentDC());
}
