#include "StdAfx.h"
#include "myopengl_3D_mF.h"

myOpenGL::myOpenGL(void)
{
	
}

myOpenGL::~myOpenGL(void)
{	
}

CGrafik* myOpenGL::getGrafik()
{ return &m_cGrafik; }

void myOpenGL::OnSizeGL(int cx, int cy)
{
	// TODO: Fgen Sie hier Ihren Meldungsbehandlungscode ein.
	GLint g = min (cx,cy);
	glViewport(0,0,g,g);	
}

void myOpenGL::OnDrawGL()
{
	/************ Teil 1: Vorbereitung der Grafik-Ausgabe ***************/	
	glClearColor (m_fbgRed, m_fbgGreen, m_fbgBlue, 1.0);   // Hintergrundfarbe
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT) ;   // Fensterinhalt und Z-Puffer lschen
	glEnable(GL_DEPTH_TEST);  // Ausblenden verdeckter Kanten einschalten

	// Projektionstransformation
	glMatrixMode(GL_PROJECTION);  // Projektionsmatrix aktivieren
	glLoadIdentity();  // Einheitsmatrix laden
	// Ausdehnung des Bildraumes festlegen
	if (m_bOrtho) glOrtho(
		m_fleft, m_fright, m_fbottom, m_ftop, m_fnear, m_ffar);
	if (m_bFrustum) glFrustum(
		m_fleft, m_fright, m_fbottom, m_ftop, m_fnear, m_ffar);
	if (m_bPerspective) gluPerspective(
		m_fangle, m_faspect, m_fnear, m_ffar);

	// Ansichtstransformation
	glMatrixMode(GL_MODELVIEW);   // Modellmatrix aktivieren
	glLoadIdentity();  // Einheitsmatrix laden
	gluLookAt(m_Pposition.get_x(), m_Pposition.get_y(),	m_Pposition.get_z(),    // Kamera-Position
		m_Ptarget.get_x(), m_Ptarget.get_y(), m_Ptarget.get_z(),				// Kamera-Ziel
		m_VviewingUp.get_dx(), m_VviewingUp.get_dy(), m_VviewingUp.get_dz());	// Viewing-Up-Vector

	/************* Teil 2: Grafik-Ausgabe *******************************/
	m_cGrafik.Draw();
	SwapBuffers(wglGetCurrentDC());

	
	


}
