// DialogDelObject.cpp : implementation file
//

#include "stdafx.h"
#include "prakt3.h"
#include "prakt3Dlg.h"
#include "DialogDelObject.h"


// CDialogDelObject dialog

IMPLEMENT_DYNAMIC(CDialogDelObject, CDialog)
CDialogDelObject::CDialogDelObject(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogDelObject::IDD, pParent)
{
}

CDialogDelObject::~CDialogDelObject()
{
}

BOOL CDialogDelObject::OnInitDialog() {
	if ( !CDialog::OnInitDialog() ) {
		return FALSE;
	}

	return TRUE;
}

void CDialogDelObject::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT_OBJECTID, m_ceObjectId);
}


BEGIN_MESSAGE_MAP(CDialogDelObject, CDialog)
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, OnBnClickedCancel)
END_MESSAGE_MAP()


// CDialogDelObject message handlers

void CDialogDelObject::OnBnClickedOk()
{
	char buffer [200];
	int oId = -1;

	m_ceObjectId.GetWindowText(buffer, 8);
	sscanf(buffer, "%d", &oId);

	sprintf(buffer, "Dialog 'CDialogDelObject' is trying to remove object #%i...", oId);
	CLogger::getInstance()->debug(buffer);

	Cprakt3Dlg::getInstance()->getMyOpenGLWindow()->getGrafik()->getDatabase()->removeObjectById( oId );
	
	OnOK();
}

void CDialogDelObject::OnBnClickedCancel()
{
	OnCancel();
}
