// DialogDrawLine.cpp : implementation file

#include "stdafx.h"
#include "prakt3.h"
#include "prakt3Dlg.h"
#include "DialogDrawLine.h"

// CDialogDrawLine dialog

IMPLEMENT_DYNAMIC(CDialogDrawLine, CDialog)
CDialogDrawLine::CDialogDrawLine(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogDrawLine::IDD, pParent)
{
}

CDialogDrawLine::~CDialogDrawLine()
{
}

BOOL CDialogDrawLine::OnInitDialog() {
	if ( !CDialog::OnInitDialog() ) {
		return FALSE;
	}

	if ( Cprakt3Dlg::getInstance()->getCadState() == Cprakt3Dlg::CAD_DRAW_LINE_SECOND_POINT ) {
        char buffer [120];
		CGO_Point p = Cprakt3Dlg::getInstance()->getMyOpenGLWindow()->getLocation();

		sprintf(buffer, "%4.2f", p.getX());
		m_ceX1.SetWindowText(buffer);
		sprintf(buffer, "%4.2f", p.getX());
		m_ceY1.SetWindowText(buffer);
	}

	return TRUE;
}

void CDialogDrawLine::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT_X1, m_ceX1);
	DDX_Control(pDX, IDC_EDIT_Y1, m_ceY1);
	DDX_Control(pDX, IDC_EDIT_X2, m_ceX2);
	DDX_Control(pDX, IDC_EDIT_Y2, m_ceY2);
}


BEGIN_MESSAGE_MAP(CDialogDrawLine, CDialog)
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, OnBnClickedCancel)
END_MESSAGE_MAP()


// CDialogDrawLine message handlers

void CDialogDrawLine::OnBnClickedOk()
{
	char buffer [200];
	float x, y;
	CGO_Point p1, p2;
	CGO_Line* pLine;

	x = 0;
	y = 0;

	m_ceX1.GetWindowText(buffer, 8);
	sscanf(buffer, "%f", &x);
	m_ceY1.GetWindowText(buffer, 8);
	sscanf(buffer, "%f", &y);
	p1.setCoords(x, y);

	m_ceX2.GetWindowText(buffer, 8);
	sscanf(buffer, "%f", &x);
	m_ceY2.GetWindowText(buffer, 8);
	sscanf(buffer, "%f", &y);
	p2.setCoords(x, y);

	pLine = new CGO_Line();
	pLine->setPoints(p1, p2);

	sprintf(buffer, "Dialog 'CDialogDrawLine' is trying to add line from P1(%4.1f,%4.1f) to P2(%4.1f,%4.1f)...", p1.getX(), p1.getY(), p2.getX(), p2.getY());
	CLogger::getInstance()->debug(buffer);

	Cprakt3Dlg::getInstance()->getMyOpenGLWindow()->getGrafik()->getDatabase()->addObject(pLine);
	
	OnOK();
}

void CDialogDrawLine::OnBnClickedCancel()
{
	// TODO: Add your control notification handler code here
	OnCancel();
}
