#pragma once
#include "afxwin.h"
#include "CLogger.h"
#include "myOpenGL.h"
#include "Grafik.h"
#include "CGO_GeoObject.h"
#include "CGO_Point.h"
#include "CDatabase.h"


// CDialogFlipObject dialog

class CDialogFlipObject : public CDialog
{
	DECLARE_DYNAMIC(CDialogFlipObject)

public:
	CDialogFlipObject(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDialogFlipObject();

// Dialog Data
	enum { IDD = IDD_FLIPOBJECT_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

private:
	int		getObjectId(void);

	CEdit	m_ceObjectId;
	CEdit	m_ceX1;
	CEdit	m_ceY1;
	CEdit	m_ceX2;
	CEdit	m_ceY2;

public:
	virtual BOOL OnInitDialog(void);

	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedButtonFlipX();
	afx_msg void OnBnClickedButtonFlipY();
	afx_msg void OnBnClickedButtonFlipOrigin();
	afx_msg void OnBnClickedButtonFlipStraight();
};
