#pragma once
#include "CGO_Vector.h"

//forward declaration of class vector:
class CGO_Vector;

class CGO_Point
{
	private:
		float m_X;
		float m_Y;

	public:
		CGO_Point(void);	//cstr
		~CGO_Point(void);	//dstr

		void move(CGO_Vector*);
		void rotate(float);
		void rotateBasepoint(CGO_Point p , float angle);
		void scale(float);
		void scaleBasepoint(CGO_Point p , float factor);
		void flipX(void);
		void flipY(void);
		void flipOrigin(void);
		void flipStraight(CGO_Point p1, CGO_Point p2);

		void setCoords(float x, float y);
		void setX(float);
		void setY(float);

		float getX(void);
		float getY(void);
};