#pragma once
#include "CDatabase.h"

class CGrafik 
{
	private:
		GLdouble  m_WC_xmin;
		GLdouble  m_WC_xmax;
		GLdouble  m_WC_ymin;
		GLdouble  m_WC_ymax;
		CDatabase m_Database;
		
	public:
		CGrafik(void);
		~CGrafik(void);

		void load(LPCTSTR fileName);
		void save(LPCTSTR fileName);

		void init(void);
		void draw(void);
		void drawObjects(GLenum mode);
		void setWC(float xmin, float xmax, float ymin, float ymax);
		GLdouble* getWC(void);
		CDatabase* getDatabase(void);
};