#include "StdAfx.h"
#include "myopengl.h"

myOpenGL::myOpenGL(void) {
}

myOpenGL::~myOpenGL(void) {	
}

CGrafik* myOpenGL::getGrafik() {
	return &m_cGrafik;
}

CDatabase* myOpenGL::getDatabase() {
	return m_cGrafik.getDatabase();
}

void myOpenGL::OnSizeGL(int cx, int cy) {
	if (cx > cy)
		glViewport(0, 0, cy, cy);
	else
		glViewport(0, 0, cx, cx);
}

void myOpenGL::OnDrawGL() {
	/************ Teil 1: Vorbereitung der Grafik-Ausgabe ***************/
	// Lschen des Fensterinhaltes
	glClearColor(1, 1, 1, 1);
	glClear (GL_COLOR_BUFFER_BIT);
	// Weltkoordinatenbereich festlegen
	glMatrixMode(GL_PROJECTION); // Projektionsmatrix aktivieren
	glLoadIdentity();  // Einheitsmatrix laden
	
	// WC-Bereich festlegen
	GLdouble* coords;
	coords = m_cGrafik.getWC();
	gluOrtho2D(coords[0], coords[1], coords[2], coords[3]);

	// Modell- und Ansichtstransformationsmatrix aktivieren
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();

	/************* Teil 2: Grafik-Ausgabe *******************************/
	glColor3f(0,0,0);
	glLineWidth(1);
	
	m_cGrafik.draw();
	SwapBuffers(wglGetCurrentDC());
}