#include "StdAfx.h"
#include "GrafikMaus.h"

CGrafik::CGrafik(void)
{ }

CGrafik::~CGrafik(void)
{ }

void CGrafik::Init()
{
	// Aktuelle grte Objektnummer
	m_imaxNr = 100;  // Neue Objekte bekommen Nummern ab 101
	// Window setzen
	setWindow(0,100,0,100);
	// OGL-Befehle
	glEnable(GL_COLOR_LOGIC_OP);

	// Ein Test-Objekt
	glNewList(++m_imaxNr, GL_COMPILE);
		glBegin(GL_LINES);
			glVertex2f(10,10);
			glVertex2f(90,90);
		glEnd();
	glEndList();	
}


void CGrafik::setWindow(GLfloat xmin, GLfloat xmax, GLfloat ymin, GLfloat ymax)
{
	m_fxmin = xmin;
	m_fxmax = xmax;
	m_fymin = ymin;
	m_fymax = ymax;
}

void CGrafik::getWindow(GLfloat* xmin, GLfloat* xmax, GLfloat* ymin, GLfloat* ymax)
{
	*xmin = m_fxmin;
	*xmax = m_fxmax;
	*ymin = m_fymin;
	*ymax = m_fymax;
}

void CGrafik::Draw()
{	
	drawObjects(GL_RENDER);  // Zeichnen aller Displaylisten
}


void CGrafik::drawObjects(GLenum mode)
{		
	glColor3f(1,0,0);
	for (GLuint i = 101; i<=m_imaxNr; i++)
	{
		if (mode == GL_SELECT) glLoadName(i);
		glCallList(i);
	}
	glFlush();
}


