#include "StdAfx.h"
#include "myOpenGLMaus.h"

myOpenGL::myOpenGL(void)
{
	m_pGrafik = &m_cGrafik;
}

myOpenGL::~myOpenGL(void)
{	
}

CGrafik* myOpenGL::getGrafik()
{ return &m_cGrafik; }

void myOpenGL::OnSizeGL(int cx, int cy)
{
	// TODO: Fgen Sie hier Ihren Meldungsbehandlungscode ein.
	glViewport(0,0,cx,cy);	
}

void myOpenGL::OnDrawGL()
{
	/************ Teil 1: Vorbereitung der Grafik-Ausgabe ***************/
	// Lschen des Fensterinhaltes
	glClearColor(1, 1, 1, 1);
	glClear (GL_COLOR_BUFFER_BIT);
	// Weltkoordinatenbereich festlegen
	glMatrixMode(GL_PROJECTION); // Projektionsmatrix aktivieren
	glLoadIdentity();  // Einheitsmatrix laden
	// Window-Grenzen holen
	m_cGrafik.getWindow(&x0, &x1, &y0, &y1);
	gluOrtho2D(x0, x1, y0, y1);  // WC-Bereich festlegen	

	// Modell- und Ansichtstransformationsmatrix aktivieren
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();

	/************* Teil 2: Grafik-Ausgabe *******************************/
	m_cGrafik.Draw();
	SwapBuffers(wglGetCurrentDC());
}
